jQuery(document).ready(function() {
    if (typeof MooTools == 'undefined') return;

    document.addEvent('change:relay(.rs-post-url-changer)', function(e){
        if (this.id.contains('__i__')) return false;

        var id = this.get('value'),
            next = this.getNext('#rs-post-url'),
            url = new URI(next.get('href'));

        if (!id) return false;

        next.set('href', url.setData('id', id).toString());
    });

    $$('.rs-post-url-changer:not([id*=__i__])').each(function(item){
        document.fireEvent('change', {target: item});
    });

    if (document.body.get('id') == 'media-upload' && document.body.hasClass('js') && !window.parent.document.getElementById('content_ifr') && window.parent.document.getElementById('module-form')){
        var url = document.id('tab-type_url');
        if (url) url.dispose();
        if (!document.retrieve('roksprocket:mediafn', false)){
            document.store('roksprocket:mediafn', true);
            document.addEvent('click:relay(input[id^=send])', function(e){
                e.stop();

                var parent = this.getParent('.media-item'),
                    urlfile = parent.getElement('button.urlfile'),
                    linkURL = urlfile.get('data-link-url');

                window.parent.jInsertEditorText(linkURL, window.parent.imagePickerID);
                window.parent.tb_remove();
            });
        }
    }

    var current_page = document.getElement('input.current-page');
    if (current_page){
        var value = current_page.get('value');
        current_page.addEvent('keyup', function(e){
            if (this.value == value) return false;

            var uri = new URI(window.location.href);
            uri.setData('paged', this.value);
            window.location.href = uri.toString();
        });
    }

    var submitdel = document.getElements('.submitdelete');
    if (submitdel.length && typeof RokSprocket != 'undefined'){
        Element.implement({
            fx: function(){
                var mu = moofx(this);
                mu.animate.apply(mu, arguments);
                return this;
            },

            styles: function(){
                var mu = moofx(this), result = mu.style.apply(mu, arguments);
                if (arguments.length == 1 && typeof arguments[0] == 'string') return result;
                return this;
            }

        });
        var deleteItems = function(e, items, ids){
            e.stop();

            var params = {
                model: 'list',
                model_action: 'delete',
                params: JSON.encode({
                    ids: Array.from(ids)
                })
            };

            RokSprocket.modal = new Modal();
            new Request({
                url: RokSprocket.URL,
                method: 'post',
                data: params,
                onRequest: function(){
                    items.getParent('tr').getElements('th .relative').each(function(th, i){
                        var dummy = new Element('div.delete-table-list').setStyle('opacity', '0.8');

                        if (typeOf(th) == 'elements') (th.length).times(function(i){ th[i].adopt(dummy.clone()); });
                        else dummy.inject(th);

                        // injecting spinner
                        var selectid = th.getElement('.selectid');
                        if (selectid){
                            if (selectid.length) selectid = selectid[0];
                            selectid.getElement('input').setStyle('display', 'none');
                            selectid.getParent('tr').getElement('.delete-table-list').setStyle('opacity', 0);
                            new Element('img', {src: RokSprocket.SiteURL + '/wp-admin/images/spinner.gif'}).setStyle('margin-left', '5px').inject(selectid);
                        }

                        // hiding actions
                        var actions = th.getElement('.row-actions');
                        if (actions && actions.length) actions = actions[0];
                        if (actions) actions.setStyle('opacity', 0);
                    });
                },
                onSuccess: function(response){
                    response = new Response(response, {onError: function(xhr){
                        var status = xhr.status,
                            statusText = xhr.statusText,
                            body = xhr.response || xhr;

                        if (!RokSprocket.modal.isShown){
                            RokSprocket.modal.set({
                                title: "Error while saving",
                                body: body,
                                kind: 'rserror',
                                type: 'close',
                                beforeHide: function(){
                                    items.getParent('tr').getElements('th .relative').each(function(th, i){
                                        if (th.getElement('div.delete-table-list')) th.getElement('div.delete-table-list').dispose();

                                        // injecting spinner
                                        var selectid = th.getElement('.selectid');
                                        if (selectid){
                                            if (selectid.length) selectid = selectid[0];
                                            selectid.getElement('input').setStyle('display', 'block');
                                            selectid.getElement('img').dispose();
                                        }

                                        // hiding actions
                                        var actions = th.getElement('.row-actions');
                                        if (actions && actions.length) actions = actions[0];
                                        if (actions) actions.setStyle('opacity', 1);
                                    });
                                }
                            }).show();
                        }
                    }});

                    var redirect = response.getPath('payload.redirect');
                    if (redirect !== null){
                        items.getParent('tr').set('tween', {duration: 300, onComplete: function(){
                            items.getParent('tr').dispose();
                        }}).tween('opacity', 0);
                    }
                }
            }).send();

        }

        var bulk = document.id('bulk'),
            applyBulk = document.id('apply-button');
        if (bulk && applyBulk){

            if (!applyBulk.retrieve('roksprocket:list:delete')){
                applyBulk.addEvent('click', function(e){
                    e.preventDefault();

                    if (bulk.get('value') != 'delete') return false;

                    var checked = document.getElements('.widefat .selectid input:checked');
                    if (!checked.length) return false;

                    deleteItems(e, checked, checked.get('value'));
                });
                applyBulk.store('roksprocket:list:delete', true);
            }
        }

        for (var i = submitdel.length - 1; i >= 0; i--) {
            if (submitdel[i].retrieve('roksprocket:list:delete')) continue;

            var deleteEvent = function(e){
                deleteItems.call(this, e, this, this.get('data-roksprocket-deleteid'));
            }

            submitdel[i].addEvent('click', deleteEvent);
            submitdel[i].store('roksprocket:list:delete', true);
        }
    }

});
